Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-promzard
Version:        0.3.0
Release:        alt1_7
Summary:        A prompting wizard for building files from specialized PromZard modules

License:        BSD
URL:            https://github.com/isaacs/promzard
Source0:        https://registry.npmjs.org/promzard/-/promzard-%{version}.tgz
Patch0:         nodejs-promzard-timeout.patch
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tap)
BuildRequires:  npm(read)
Source44: import.info

%description
A prompting wizard for building files from specialized PromZard modules.

The goal is a nice drop-in enhancement for `npm init`.


%prep
%setup -q -n package
%patch0 -p1


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/promzard
cp -pr package.json promzard.js %{buildroot}%{nodejs_sitelib}/promzard


%check
%nodejs_symlink_deps --check
%tap test/*.js


%files
%doc example README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/promzard


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_7
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_6
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_4
- initial import

